package com.kexun.model.ro;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * Description: 模板字段修改RO
 *
 * @author lgs
 * @date 2023/06/28
 */
@Data
public class FiledTemplateUpdateRO extends FiledTemplateCreateRO {
    /**
     * 主键ID
     */
    private Long id;

    @ApiModelProperty(value = "基础字段列表")
    private List fieldBaseSelected;

    @ApiModelProperty(value = "衍生字段列表")
    private List fieldDeriveSelected;

    @ApiModelProperty(value = "基础字段已选择列表")
    private List fieldBaseSelectedOld;

    @ApiModelProperty(value = "衍生字段已选择列表")
    private List fieldDeriveSelectedOld;
}
