package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * Description: 基本信息-身份信息
 *
 * @author lgs
 * @date 2023/05/31
 */
@Data
public class BaseInf implements IXmlBase {
    private static final long serialVersionUID = 1L;

    /**
     * 出生日期
     */
    @JSONField(name = "BIRTHDAY")
    private String birthday;

    /**
     * 性别代码
     */
    @JSONField(name = "SEXCODE")
    private String sexCode;

    /**
     * 性别描述
     */
    @JSONField(name = "SEXDESC")
    private String sexDesc;

    /**
     * 学位代码
     */
    @JSONField(name = "DEGREECODE")
    private String degreeCode;

    /**
     * 学位说明
     */
    @JSONField(name = "DEGREEDESC")
    private String degreeDesc;

    /**
     * 学历代码
     */
    @JSONField(name = "EDUCATIONCODE")
    private String educationCode;

    /**
     * 学历描述
     */
    @JSONField(name = "EDUCATIONDESC")
    private String educationDesc;

    /**
     * 就业状况代码
     */
    @JSONField(name = "WORKSTATUSCODE")
    private String workStatusCode;

    /**
     * 就业状况描述
     */
    @JSONField(name = "WORKSTATUSDESC")
    private String workStatusDesc;

    /**
     * 电子邮箱
     */
    @JSONField(name = "EMAIL")
    private String email;

    /**
     * 通讯地址
     */
    @JSONField(name= "COMMUADDRESS")
    private String commuAddress;

    /**
     * 国籍代码
     */
    @JSONField(name = "NATIONCODE")
    private String nationCode;

    /**
     * 国籍描述
     */
    @JSONField(name = "NATIONDESC")
    private String nationDesc;

    /**
     * 户籍地址
     */
    @JSONField(name = "ADDRESS")
    private String address;
}
