package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description:信贷交易信息提示
 *
 * @author lgs
 * @date 2023/06/05
 */
@Data
public class SmryTradeTipsList implements Serializable {

    /**
     * 信贷交易提示信息列表
     */
    @JSONField(name = "CREDITTIPSINFO")
    private List<SmryTradeTipsInfo> smryTradeTipsInfo;

}
