package com.kexun.model.xml.trs;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description:大额专项分期信息
 *
 * @author lgs
 * @date 2023/06/12
 */
@Data
public class TrsSpecPrdDetail {

    /**
     * 账户编号
     */
    @JSONField(name = "ACCTNO")
    private String acctNo;

    /**
     * 大额专项分期额度
     */
    @JSONField(name = "SPECLINE")
    private BigDecimal specLine;

    /**
     * 分期额度生效日期
     */
    @JSONField(name = "SPECSTADATE")
    private String specStaDate;

    /**
     * 分期额度到期日期
     */
    @JSONField(name = "SPECENDDATE")
    private String specEndDate;

    /**
     * 已用分期金额
     */
    @JSONField(name = "INSTAMT")
    private BigDecimal instAmt;

}
