package com.kexun.mapper;

import com.kexun.entity.ReportInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.kexun.model.dto.ReportInfoDTO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 报文信息 Mapper 接口
 * </p>
 *
 * @author lgs
 * @since 2023-05-10
 */
public interface ReportInfoMapper extends BaseMapper<ReportInfo> {

    /**
     * 修改报文信息
     * @param reportInfoDTO
     */
    void updateReportInfo(ReportInfoDTO reportInfoDTO);

    /**
     * 修改报文信息状态
     * @param status 状态
     * @param id 主键
     */
    void updateReportInfoStatus(@Param("status") String status,@Param("id") Long id);

}
