package com.kexun.model.vo;

import com.kexun.model.ro.FiledUpdateRO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Description: 字段模板返回给前端的VO
 *
 * @author lgs
 * @date 2023/06/30
 */
@Data
public class FiledTemplateVO implements Serializable {

    @ApiModelProperty(value = "字段模板编号")
    private String templateNo;

    @ApiModelProperty(value = "字段模板名称")
    private String templateName;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "字段列表")
    private List<FieldVO> filedList;

}
