package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description:2.3 信息概要.- 呆账汇总信息段
 *
 * @author lgs
 * @date 2023/06/07
 */
@Data
public class SmryBadDebt implements IXmlBase {
    /**
     * 账户数
     */
    @JSONField(name = "ACCOUNTNUM")
    private Integer accNum;

    /**
     * 余额
     */
    @JSONField(name = "BALANCE")
    private BigDecimal balance;
}
