package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Description:非金融信息交易信息概要
 *
 * @author lgs
 * @date 2023/06/09
 */
@Data
public class SmryNoFinaInf {
    /**
     * 信息类型代码
     */
    @JSONField(name = "INFOTYPECODE")
    private String infoTypeCode;

    /**
     * 信息类型描述
     */
    @JSONField(name = "INFOTYPEDESC")
    private String infoTypeDesc;

    /**
     * 笔数
     */
    @JSONField(name = "COUNT")
    private Integer count;
}
