package com.kexun.model.xml.trs;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * Description:最近5年内历史表现信息
 *
 * @author lgs
 * @date 2023/06/12
 */
@Data
public class TrsFiveYear {

    /**
     * 账户编号
     */
    @JSONField(name = "ACCTNO")
    private String acctNo;

    /**
     * 起始年月
     */
    @JSONField(name = "STARTYEARMONTH")
    private String startYearMonth;

    /**
     * 截止年月
     */
    @JSONField(name = "ENDYEARMONTH")
    private String endYearMonth;

    /**
     * 月数
     */
    @JSONField(name = "MONNUM")
    private Integer monNum;

    /**
     * 交易明细
     */
    @JSONField(name = "FIVEYEARHISRPYINFOLS")
    private TrsFiveYearInf trsFiveYearInf;

}
