package com.kexun.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.kexun.entity.*;
import com.kexun.mapper.BusinessMapper;
import com.kexun.mapper.CooperatorMapper;
import com.kexun.service.BusinessService;
import com.kexun.service.CooperatorService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 *
 */
@Service
public class BusinessServiceImpl extends ServiceImpl<BusinessMapper, BusinessInfo>
    implements BusinessService {

    @Resource
    BusinessMapper businessMapper;

    @Override
    public List<BusinessInfo> queryToDoList(){
        List<BusinessInfo> l = businessMapper.QueryToDoList();
        return l;
    }

    @Override
    public List<BusinessInfo> queryAnalysisList(){
        List<BusinessInfo> l = businessMapper.QueryAnalysisList();
        return l;
    }

    @Override
    public List<BusinessInfo> queryFailList(){
        List<BusinessInfo> l = businessMapper.QueryFailList();
        return l;
    }

    @Override
    public BusinessInfo QueryBusinessInfoByNum(String businessNum){
        BusinessInfo l = businessMapper.queryBusinessInfoByNum(businessNum);
        return l;
    }

    public List<BusinessInfo> selectBusinessToDo(String customerName) {
        List<BusinessInfo> l = businessMapper.selectBusinessToDo(customerName);
        return l;
    }

    public List<BusinessInfo> selectBusinessAnalysis(String customerName) {
        List<BusinessInfo> l = businessMapper.selectBusinessAnalysis(customerName);
        return l;
    }
    public List<BusinessInfo> selectBusinessFail(String customerName) {
        List<BusinessInfo> l = businessMapper.selectBusinessFail(customerName);
        return l;
    }
}




