package com.kexun.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description: 最近5年内信息段
 *
 * @author lgs
 * @date 2023/11/27
 */
@Data
public class LastFiveModel {

    /**
     * 账户编号
     */
    private String acctNo;

    /**
     * 月份
     */
    private String overdMon;

    /**
     * 还款状态代码
     */
    private String overdStatusCode;

    /**
     * 逾期（透支）总额
     */
    private BigDecimal totAcctBal;

}
